- Home
- API Enriched
- Shape
- shape
- GET Mobile Base Configuration File.
GET Mobile Base Configuration File.
GET
/api/shape/bot/namespaces/{namespace}/bot_endpoint_policy/{name}/versions/{number}/mobile_base_config/{os}
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_endpoint_policy/example/versions/example/mobile_base_config/MOBILE_OS_UNDEFINED';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_endpoint_policy/example/versions/example/mobile_base_config/MOBILE_OS_UNDEFINED \ --header 'Authorization: <Authorization>'GET base config file for a mobile policy.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace is used to scope the query.
name
required
string
Name Name of the policy.
number
required
string
Number Version of the policy.
os
required
string
OS OS of the mobile platform.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
GetMobileBaseConfigFileResponse
Mobile base config file response.
object
content
Mobile SDK Base Configuration content
Mobile SDK Base Configuration content.
string format: byte
name
Mobile SDK Base Configuration file name
Mobile SDK Base Configuration file name.
string
Examplegenerated
{ "content": "example", "name": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example